I have a curve in Grasshopper (curve1) that is imported from Rhino, I’m trying to bake it into Rhino (I know it seems odd to bake it because it already exists in Rhino. But long story short, I’m doing this for animation purpose.)
so here is the code and the error message, I don’t understand why there is no attribute “Geometry”. I tried the code with coerce and without coerce
curve1
print curve1
<Rhino.Geometry.NurbsCurve object at 0x00000000000013B6 [Rhino.Geometry.NurbsCurve]>
sc.doc = ghdoc
doc_object= rs.coercecurve(curve1)
geometry = doc_object.Geometry
attributes = doc_object.Attributes
sc.doc = Rhino.RhinoDoc.ActiveDoc
rhino_bake = sc.doc.Objects.Add(geometry,attributes)
Runtime error (MissingMemberException): ‘NurbsCurve’ object has no attribute ‘Geometry’